Ubuntu repository package for Bacula is very outdated

Asked by Shawn Q on 2009-08-05

In an effort to keep ahead of the curve, I'd like to request an update on the repos for the Bacula tools (mainly Director), as it appears in rawhide that Bacula 3.0.2 already exists for Fedora (and will probably end up being implemented in Fedora 12).

We have Jaunty amd64 server edition running our Bacula Director.

One of the ongoing issues today is that Version 2.4.4 doesn't support Vista x64 or Windows Server 2008 x64 clients due to VSS 64-bit incompatibilities. The Bacula developers have resolved these VSS 64-bit matters in their latest releases, however, the packages on shown Ubuntu server's repos are 2.4.4 still, and we'd rather stick to package updates when concerning the Bacula Director.

I heard that someone may be working on this already, and if this is a cross question, I apologize, but is there an ETA on when 3.0.2 might be released as a package?

Current repo information is as follows:

$ sudo apt-cache show bacula
Package: bacula
Priority: optional
Section: admin
Installed-Size: 92
Maintainer: Ubuntu MOTU Developers <email address hidden>
Original-Maintainer: John Goerzen <email address hidden>
Architecture: all
Version: 2.4.4-1ubuntu5
Depends: bacula-server, bacula-client
Suggests: bacula-doc
Filename: pool/main/b/bacula/bacula_2.4.4-1ubuntu5_all.deb
Size: 53066
MD5sum: c83d811973ec44b80209d781a2f27300
SHA1: 6e8ba429a1022946107a2e5047ed2a5a0c208b34
SHA256: 9c9851679120bcc8d2b9f857c569153f4ff8d1e315418169ce8fb1b24470445d
Description: network backup, recovery and verification - meta-package
 Bacula is a set of programs to manage backup, recovery and verification
 of computer data across a network of computers of different kinds.
 .
 It is efficient and relatively easy to use, while offering many advanced
 storage management features that make it easy to find and recover lost or
 damaged files. Due to its modular design, Bacula is scalable from small
 single computer systems to networks of hundreds of machines.
 .
 This meta-package installs the entire suite of Bacula applications: job
 scheduling, storage control, node connector, and administrative console.
Homepage: http://www.bacula.org/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu

Thanks kindly in advance,

- Shawn Q.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu bacula Edit question
Assignee:
No assignee Edit question
Solved by:
Arnaud Soyez
Solved:
2009-08-09
Last query:
2009-08-09
Last reply:
2009-08-09
Shawn Q (trinary-ouroboros) said : #1

Sorry, some more info:

$ sudo apt-cache show bacula-server
Package: bacula-server
Priority: optional
Section: admin
Installed-Size: 84
Maintainer: Ubuntu MOTU Developers <email address hidden>
Original-Maintainer: John Goerzen <email address hidden>
Architecture: all
Source: bacula
Version: 2.4.4-1ubuntu5
Depends: bacula-director-mysql (>= 2.4.4-1ubuntu5) | bacula-director, bacula-sd (>= 2.4.4-1ubuntu5), bacula-sd-mysql (>= 2.4.4-1ubuntu5) | bacula-sd-tools
Recommends: bacula-fd
Filename: pool/main/b/bacula/bacula-server_2.4.4-1ubuntu5_all.deb
Size: 50664
MD5sum: ffe8c2b68689c1c2c1bb936bc4d1a6b8
SHA1: e4c04889fad55ab3910d4e189c601c2a0b0434bd
SHA256: d06af5411df67270f3a7170b214ff88133bfbdc62cb0167350dc992e36f976a5
Description: network backup, recovery and verification - server meta-package
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This meta-package provides a standard server install, consisting of the
 director and storage daemons.
Homepage: http://www.bacula.org/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu

$ sudo apt-cache show bacula-director-mysql
Package: bacula-director-mysql
Priority: optional
Section: admin
Installed-Size: 1224
Maintainer: Ubuntu MOTU Developers <email address hidden>
Original-Maintainer: John Goerzen <email address hidden>
Architecture: amd64
Source: bacula
Version: 2.4.4-1ubuntu5
Replaces: bacula-director
Provides: bacula-director
Depends: bacula-director-common (= 2.4.4-1ubuntu5), dbconfig-common (>= 1.8.19), mysql-client, libdbi-perl, libdbd-mysql-perl, libc6 (>= 2.4), libgcc1 (>= 1:4.1.1), libmysqlclient15off (>= 5.0.27-1), libpython2.6 (>= 2.6), libstdc++6 (>= 4.1.1), libwrap0 (>= 7.6-4~), zlib1g (>= 1:1.1.4)
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0
Recommends: mysql-server (>= 4.0)
Conflicts: bacula-director
Filename: pool/main/b/bacula/bacula-director-mysql_2.4.4-1ubuntu5_amd64.deb
Size: 497310
MD5sum: 84c761fae79791ab8418c069dd2da198
SHA1: c4a0e7fa5be8567fad4ff8e53c768bf0f2a8c490
SHA256: e5c149a15464c69671dc5eafd5bcd4aa59a87f3d74705a5c6593a2e2de397b2b
Description: network backup, recovery and verification - MySQL storage for Director
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This version stores Bacula's catalog in a MySQL server, and thus is suited
 for large installations.
Homepage: http://www.bacula.org/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu

Arnaud Soyez (weboide) said : #2

Hi,

I don't know much bacula, but this is very big application. In debian experimental repository they have the new 3.0.1 version.
It seems that this package needs much work as there are a couple warnings and bugs to fix. Efforts should be gathered onto the debian package, then when the package is ready, it will be introduced into Ubuntu repositories if timing is right.

Best Arnaud Soyez (weboide) said : #3

You can checkout http://packages.qa.debian.org/b/bacula.html to see current progress, or contact the maintainer if you wish to help packaging bacula.

Shawn Q (trinary-ouroboros) said : #4

Thanks Arnaud Soyez, that solved my question.

Kern Sibbald (kern) said : #5

The current version of Bacula 3.0.3, which was released in Oct 2009. Version 3.0.0 was released in April 2009, and version 2.4.4 has not been supported since May 2009. On Karmic, Bacula version 3.0.x is not yet packaged. However on Licide, I see that Bacula 3.0.2 is packaged.

I have reviewed the warnings and bugs on Debian, and they all seem somewhat minor or applicable to only a tiny set of users, so they should, hopefully, not prevent Ubuntu from releasing some 3.0.x version.

Shawn Q (trinary-ouroboros) said : #6

Just as a warning, I tried ressu's PPA for Bacula 3.0.2 server / client, and it failed miserably. It's quite possible just the upgrading from 2.4.4 was an issue, haven't been able to test as a fresh install, however. Lucid repo is essentially depending on ressu's PPA as far as I can tell.

draknet (n638jl66) said : #7

There are new upstream packages in debian, 5.0.0 in squeeze and 5.0.1 in sid. 5.0.0 is also available in lenny-backports. Might be worth to take a look since 3.0.2 is already half a year old.

Kern Sibbald (kern) said : #8

Concerning the comment by draknet: that is correct, in addition, the Bacula project now supports only one major release (e.g. 5.0.x), which means that we are no longer supporting version 3.0.x. In practical terms if a bug is submitted in 3.0.x and we feel it is a 3.0.x only problem, the bug is closed with a comment to upgrade. If it judged to be a 5.0.x problem, we fix it on 5.0.x. The current production release is 5.0.1 as of 25 Feb 2010.